
//----------------- Sample GPS Data

#include <gps.h>
#include <nrf_socket.h>

#ifndef _TEST_LOCATIONS_H_
#define _TEST_LOCATIONS_H_

nrf_gnss_data_frame_t office = {
    .data_id = 0,
    .pvt = {
        .datetime = {
            .year = 2019,
            .month = 6,
            .day = 13,
            .hour = 10,
            .minute = 17,
            .seconds = 42,
            .ms = 0
        },
        .latitude = 48,
        .longitude = -88,
        .accuracy = 2,
        .altitude = 0,
        .speed = 0,
        .heading = 0,

//        .pdop = 0,
//        .hdop = 0,
//        .vdop = 0,
//        .tdop = 0,
//        .flags = 0
//        .sv[NRF_GNSS_MAX_SATELLITES] = {
//            .sv = 1,
//            .cn0 = 0.1,
//            .elevation = 0,
//            .azimuth = 0,
//            .flags = 0,
//            .signal = 0
//        }
    }
};


nrf_gnss_data_frame_t bradford = {
    .data_id = 0,
    .pvt = {
        .latitude = 32,
        .longitude = -35,
        .accuracy = 2,
        .altitude = 0,
        .speed = 0,
        .heading = 0,
        .datetime = {
            .year = 2018,
            .month = 3,
            .day = 19,
            .hour = 16,
            .minute = 2,
            .seconds = 1,
            .ms = 0
        }
    }
};


nrf_gnss_data_frame_t random = {
    .data_id = 0,
    .pvt = {
        .latitude = -19.0613,
        .longitude = 45.7781,
        .accuracy = 2,
        .altitude = 0,
        .speed = 0,
        .heading = 0,
        .datetime = {
            .year = 2005,
            .month = 12,
            .day = 30,
            .hour = 2,
            .minute = 56,
            .seconds = 32,
            .ms = 0
        }
    }
};


#endif
